org.optaplanner.core.impl.localsearch.decider.acceptor.tabu

## Class EntityTabuAcceptor

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
    - - org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
      - - org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
        - - org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.EntityTabuAcceptor

- All Implemented Interfaces:
    EventListener, Acceptor, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

      public class EntityTabuAcceptor
      extends AbstractTabuAcceptor

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor

      `aspirationEnabled, assertTabuHashCodeCorrectness, fadingTabuSizeStrategy, logIndentation, tabuSequenceDeque, tabuSizeStrategy, tabuToStepIndexMap, workingFadingTabuSize, workingTabuSize`

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityTabuAcceptor(String logIndentation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Collection<? extends Object>` | `findNewTabu(LocalSearchStepScope stepScope)`
    `protected Collection<? extends Object>` | `findTabu(LocalSearchMoveScope moveScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor

      `adjustTabuList, calculateFadingTabuAcceptChance, isAccepted, phaseEnded, phaseStarted, setAspirationEnabled, setAssertTabuHashCodeCorrectness, setFadingTabuSizeStrategy, setTabuSizeStrategy, stepEnded`

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### EntityTabuAcceptor

          public EntityTabuAcceptor(String logIndentation)

  - ### Method Detail

    - #### findTabu

          protected Collection<? extends Object> findTabu(LocalSearchMoveScope moveScope)

      Specified by:
        `findTabu` in class `AbstractTabuAcceptor`

    - #### findNewTabu

          protected Collection<? extends Object> findNewTabu(LocalSearchStepScope stepScope)

      Specified by:
        `findNewTabu` in class `AbstractTabuAcceptor`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.